{% extends "base.html" %}
{% load static %}

{% block title %} - Launches{% endblock %}

{% block css %}
<link rel="stylesheet" href="{% static 'lib/admin-lte/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css' %}">
<link rel="stylesheet" href="{% static 'lib/admin-lte/plugins/datatables-buttons/css/buttons.bootstrap4.min.css' %}">
{% endblock %}

{% block top-menu-left %}
<span class="h4 mb-0 mr-3 text-truncate d-none d-md-block">Launches</span>
{% endblock %}

{% block top-menu-center %}

<ul class="navbar-nav nav nav-pills" data-widget="treeview" role="menu" data-accordion="false" id="tabs" role="tablist">
  <li class="nav-item">
    <a class="nav-link active" id="list-tab" data-toggle="tab" href="#list" role="tab" aria-controls="list"
      aria-selected="true" aria-label="List"><i class="nav-icon fas fa-th-list"></i>
      <p class="d-none d-lg-inline-block text-sm">List</p>
    </a>
  </li>
</ul>
{% endblock %}

{% block top %}
<span class="h4 mb-0">Launches</span>
{% endblock %}

{% block content %}

<div class="row h-100 pl-2 pr-3">
  <!-- The following div is managed by the tab menus -->
  <div class="col-12 tab-content mx-2 pt-3" id="myTabContent">

    <!-- List panel -->
    <div class="tab-pane fade show active mx-1" id="list" role="tabpanel" aria-labelledby="list-tab">
      <table id="launches" class="table table-sm display responsive table-striped" width="100%">
        <thead>
          <tr>
            <th data-priority="1"></th>
            <th data-visible="true" data-priority="20">Name</th>
            <th data-sortable="true" data-priority="4">Launch Date</th>
            <th data-sortable="true" data-priority="4">Number of Satellites</th>
            <th data-sortable="true" data-priority="1">Forum Thread</th>
          </tr>
        </thead>
        <tbody>
          {% for launch in launches %}
          <tr>
            <td class='details-control'>
              <i class="fa fa-plus-square" aria-hidden="true"></i>
            </td>

            <td><a href="{% url 'launch' launch_id=launch.id %}">{{ launch.name }}</a></td>
            <td>{{ launch.launch_date }}</td>
            <td>{{ launch.satellites_count }}</td>
            <td>
              <a href="{{ launch.forum_thread_url }}" target="_blank">
                {{ launch.name }}
              </a>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
</div>
{% endblock %}

{% block javascript %}
<script src="{% static 'lib/admin-lte/plugins/datatables/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'lib/admin-lte/plugins/datatables-buttons/js/dataTables.buttons.min.js' %}"></script>
<script src="{% static 'lib/admin-lte/plugins/datatables-responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'lib/admin-lte/plugins/datatables-buttons/js/buttons.colVis.js' %}"></script>
<script src="{% static 'lib/admin-lte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="{% static 'lib/admin-lte/plugins/datatables-buttons/js/buttons.bootstrap4.min.js' %}"></script>
<script src="{% static 'lib/d3/dist/d3.min.js' %}"></script>
<script src="{% static 'js/datatables-natural.js' %}"></script>
<script src="{% static 'js/launches.js' %}"></script>
{% endblock %}
